<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-18 15:44:32
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class DhUserWallet extends TableModelBase{
    public static function tableName()
    {
        return '{{dh_user_wallet}}';
    }
                
    /**
     * ------------ 字段 wallet_id 
     * ------------ 表字段注释: 钱包ID
     */
    public function filterByWalletId($val): self
    {
        $this->filterByColumn("wallet_id", $val);
        return $this;
    }

    public function setWalletId($val): self
    {
        $this->setAttr("wallet_id", $val);
        return $this;
    }

    public function getWalletId()
    {
        return $this->wallet_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 user_id 
     * ------------ 表字段注释: 用户ID
     */
    public function filterByUserId($val): self
    {
        $this->filterByColumn("user_id", $val);
        return $this;
    }

    public function setUserId($val): self
    {
        $this->setAttr("user_id", $val);
        return $this;
    }

    public function getUserId()
    {
        return $this->user_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 balance 
     * ------------ 表字段注释: 钱包余额（分）
     */
    public function filterByBalance($val): self
    {
        $this->filterByColumn("balance", $val);
        return $this;
    }

    public function setBalance($val): self
    {
        $this->setAttr("balance", $val);
        return $this;
    }

    public function getBalance()
    {
        return $this->balance ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 check_version 
     * ------------ 表字段注释: 安全版本信息
     */
    public function filterByCheckVersion($val): self
    {
        $this->filterByColumn("check_version", $val);
        return $this;
    }

    public function setCheckVersion($val): self
    {
        $this->setAttr("check_version", $val);
        return $this;
    }

    public function getCheckVersion()
    {
        return $this->check_version ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 actually_money 
     * ------------ 表字段注释: 实收金额（分）
     */
    public function filterByActuallyMoney($val): self
    {
        $this->filterByColumn("actually_money", $val);
        return $this;
    }

    public function setActuallyMoney($val): self
    {
        $this->setAttr("actually_money", $val);
        return $this;
    }

    public function getActuallyMoney()
    {
        return $this->actually_money ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 give_money 
     * ------------ 表字段注释: 赠送金额（分）
     */
    public function filterByGiveMoney($val): self
    {
        $this->filterByColumn("give_money", $val);
        return $this;
    }

    public function setGiveMoney($val): self
    {
        $this->setAttr("give_money", $val);
        return $this;
    }

    public function getGiveMoney()
    {
        return $this->give_money ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 total_inc 
     * ------------ 表字段注释: 增加总金额（分）
     */
    public function filterByTotalInc($val): self
    {
        $this->filterByColumn("total_inc", $val);
        return $this;
    }

    public function setTotalInc($val): self
    {
        $this->setAttr("total_inc", $val);
        return $this;
    }

    public function getTotalInc()
    {
        return $this->total_inc ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 total_give_inc 
     * ------------ 表字段注释: 赠送总金额（分）
     */
    public function filterByTotalGiveInc($val): self
    {
        $this->filterByColumn("total_give_inc", $val);
        return $this;
    }

    public function setTotalGiveInc($val): self
    {
        $this->setAttr("total_give_inc", $val);
        return $this;
    }

    public function getTotalGiveInc()
    {
        return $this->total_give_inc ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 total_dec 
     * ------------ 表字段注释: 消费总金额（分）
     */
    public function filterByTotalDec($val): self
    {
        $this->filterByColumn("total_dec", $val);
        return $this;
    }

    public function setTotalDec($val): self
    {
        $this->setAttr("total_dec", $val);
        return $this;
    }

    public function getTotalDec()
    {
        return $this->total_dec ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 total_give_dec 
     * ------------ 表字段注释: 赠送消费总金额（分）
     */
    public function filterByTotalGiveDec($val): self
    {
        $this->filterByColumn("total_give_dec", $val);
        return $this;
    }

    public function setTotalGiveDec($val): self
    {
        $this->setAttr("total_give_dec", $val);
        return $this;
    }

    public function getTotalGiveDec()
    {
        return $this->total_give_dec ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 ctime 
     * ------------ 表字段注释: 创建时间戳
     */
    public function filterByCtime($val): self
    {
        $this->filterByColumn("ctime", $val);
        return $this;
    }

    public function setCtime($val): self
    {
        $this->setAttr("ctime", $val);
        return $this;
    }

    public function getCtime()
    {
        return $this->ctime ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 uptime 
     * ------------ 表字段注释: 
     */
    public function filterByUptime($val): self
    {
        $this->filterByColumn("uptime", $val);
        return $this;
    }

    public function setUptime($val): self
    {
        $this->setAttr("uptime", $val);
        return $this;
    }

    public function getUptime()
    {
        return $this->uptime ?? null;
    }
    // ---------------------------------------------
    
}
